/*******************************************************************
  uLan Communication - uL_DRV - multiplatform uLan driver

  ul_devtab.c	- Linux and Windows PnP PCI and USB device tables

  (C) Copyright 1996-2004 by Pavel Pisa - project originator
        http://cmp.felk.cvut.cz/~pisa
  (C) Copyright 1996-2004 PiKRON Ltd.
        http://www.pikron.com
  (C) Copyright 2002-2004 Petr Smolik
  

  The uLan driver project can be used and distributed 
  in compliance with any of next licenses
   - GPL - GNU Public License
     See file COPYING for details.
   - LGPL - Lesser GNU Public License
   - MPL - Mozilla Public License
   - and other licenses added by project originator

  Code can be modified and re-distributed under any combination
  of the above listed licenses. If contributor does not agree with
  some of the licenses, he/she can delete appropriate line.
  WARNING: if you delete all lines, you are not allowed to
  distribute code or sources in any form.
 *******************************************************************/

/*******************************************************************/
/* Supported devices table */ 

ul_chip_type_ent ul_chip_types[12]={
    #ifdef UL_WITH_UARTS
	{"82510",u510_init,UL_CHIPT_RQPORT,1,0},
	{"16450",u450_init,UL_CHIPT_RQPORT,1,0},
    #endif /*UL_WITH_UARTS*/
    #ifdef UL_WITH_PCI
	{"16950-adv",u950pci_init,UL_CHIPT_PCI|UL_CHIPT_NOPROBE,4,
		0x16954000|U950PCI_CHOPT_TXDTRNEG|U950PCI_CHOPT_HSPDOSC},
	{"16950-pci",u950pci_init,UL_CHIPT_PCI|UL_CHIPT_NOPROBE,4,
		0x16954000|U950PCI_CHOPT_RXDONRI},
    #endif  /* UL_WITH_PCI */
	{NULL,NULL},
};

#ifdef UL_WITH_PCI

static struct pci_device_id ulan_pci_tbl[] /*__devinitdata*/ = {
	/* Advantech PCI-1602A, negated DTR */
	{ /* PCI_VENDOR_ID */ 0x13fe, /* PCI_DEVICE_ID */ 0x1600,
	  /* PCI_VENDOR_ID */ PCI_ANY_ID, /* PCI_SUBDEVICE_ID */ PCI_ANY_ID,
	  0, 0, 0x16954000|U950PCI_CHOPT_TXDTRNEG|U950PCI_CHOPT_HSPDOSC},
	/* Tedia PCI-1482 */
	{ /* PCI_VENDOR_ID */ 0x1415, /* PCI_DEVICE_ID */ 0x950A,
	  /* PCI_VENDOR_ID */ PCI_ANY_ID, /* PCI_SUBDEVICE_ID */ PCI_ANY_ID,
	  0, 0, 0x16954000|U950PCI_CHOPT_RXDONRI},
	/* Tedia PCI-1482 with PiKRON signature */
	{ /* PCI_VENDOR_ID */ 0x1760, /* PCI_DEVICE_ID */ 0x8004,
	  /* PCI_VENDOR_ID */ PCI_ANY_ID, /* PCI_SUBDEVICE_ID */ PCI_ANY_ID,
	  0, 0, 0x16954000|U950PCI_CHOPT_RXDONRI},
	{ 0, } /* terminate list */
};

#endif /*UL_WITH_PCI*/


#ifdef UL_WITH_USB

/* Define these values to match your device */
#define UL_USB_PS1_VENDOR_ID	0xDEAD
#define UL_USB_PS1_PRODUCT_ID	0x1001
#define UL_USB_HW_PS1		(0x1234<<8)  

#ifdef FOR_LINUX_KERNEL
/* table of devices that work with this driver */
static struct usb_device_id ulan_usb_tbl [] = {
	{ USB_DEVICE(UL_USB_PS1_VENDOR_ID, UL_USB_PS1_PRODUCT_ID), driver_info:UL_USB_HW_PS1 },
	{ }					/* Terminating entry */
};
#else
static struct usb_device_id ulan_usb_tbl [] = {
	{ UL_USB_PS1_VENDOR_ID, UL_USB_PS1_PRODUCT_ID, UL_USB_HW_PS1 },
	{ 0, }					/* Terminating entry */	
};
#endif /* FOR_LINUX_KERNEL */

#endif /* UL_WITH_USB */

